
From: Hien Nguyen <hien@us.ibm.com>

This patch fixes the arch_kprobe_flush_task() when ARCH_SUPPORTS_KRETPROBES
is not defined.

Signed-off-by: Hien Nguyen <hien@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/kprobes.h |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN include/linux/kprobes.h~kprobes-function-return-probes-fix-5 include/linux/kprobes.h
--- 25/include/linux/kprobes.h~kprobes-function-return-probes-fix-5	Fri May 20 14:12:11 2005
+++ 25-akpm/include/linux/kprobes.h	Fri May 20 14:12:17 2005
@@ -119,8 +119,7 @@ static inline void arch_prepare_kretprob
 					struct pt_regs *regs)
 {
 }
-static inline void arch_kprobe_flush_task(struct task_struct *tk,
-						spinlock_t *kp_lock)
+static inline void arch_kprobe_flush_task(struct task_struct *tk)
 {
 }
 #define arch_get_kprobe_task(ptr) ((struct task_struct *)NULL)
_
